%define name idesk
%define version 0.7.7
%define release %mkrel 1


Summary: 	Place icons on your desktop
Name: 		idesk
Version: 	0.7.7
Release: 	%mkrel 2
License: 	GPL
Group: 		Graphical desktop/Other
Source: 	%{name}-%{version}.tar.gz
URL: 		http://idesk.sourceforge.net/
BuildRequires: gtk2-devel
BuildRequires: libart_lgpl-devel
BuildRequires: startup-notification-devel
BuildRequires: lib64fontconfig-devel
BuildRequires: lib64freetype6-devel
BuildRequires: lib64imlib2-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xext-devel
BuildRequires: lib64xft-devel 
BuildRequires: lib64xrender-devel
BuildRequires: make
Requires: Xdialog
Requires: webcore-fonts
Requires: emelfm
Requires: xterm
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Obsoletes:	%name < %version

%description
iDesk gives users of minimal wm's (fluxbox, pekwm, windowmaker...) icons on
their desktop. The icon graphics are either from a png file and support 
some eyecandy effects like transparency. Each icon can be
configured to run one or more shell commands and the actions which run
those commands are completely configurable.

In a nutshell if you want icons on your desktop and you don't have or don't
want KDE or gnome doing it, you can use idesk.


%prep
%setup -q

sed -i '599s/0/\(void \*\)0/' src/XDesktopContainer.cpp

%build
autoreconf -fiv
%configure2_5x
%make


%install
%__rm -rf %buildroot
%makeinstall


%clean
%__rm -rf %buildroot


%posttrans
#create .idesktop in users home folder
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= mkdir -p /home/$idx/.idesktop; done

#copy desktop links to users home folder
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= cp -af %_datadir/idesk/* /home/$idx/.idesktop; done

#chown the users folder and files
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= chown -R "$idx:$idx" /home/$idx/.idesktop; done


%files
%defattr (-,root,root)
%doc README AUTHORS ChangeLog COPYING NEWS TODO
%{_bindir}/*
%{_datadir}/%{name}/


%changelog
* Mon Oct 10 2022 tex - 0.7.7-2pclos2022
- rebuild against updates

* Wed Jun 04 2019 - 0.7.7-1pclos2019
- new again
